restinio::impl::external_io_context_for_thread_pool_t Class Reference

A class for holding a reference to external Asio's io_context. More...

`#include <ioctx_on_thread_pool.hpp>`

## Public Member Functions

| external_io_context_for_thread_pool_t (asio_ns::io_context &ioctx)
| Initializing constructor. More...
auto & | io_context () noexcept
| Get access to io_context object. More...

## Private Attributes

asio_ns::io_context & | m_ioctx

## Detailed Description

A class for holding a reference to external Asio's io_context.

Note
  This class is intended to be used as template argument for ioctx_on_thread_pool_t template.

Since
  v.0.4.2

Definition at line 46 of file ioctx_on_thread_pool.hpp.

## Constructor & Destructor Documentation

## external_io_context_for_thread_pool_t()

restinio::impl::external_io_context_for_thread_pool_t::external_io_context_for_thread_pool_t | ( | asio_ns::io_context & | ioctx | ) |

inline

Initializing constructor.

Parameters

  ioctx | External io_context to be used.

Definition at line 52 of file ioctx_on_thread_pool.hpp.

## Member Function Documentation

## io_context()

auto & restinio::impl::external_io_context_for_thread_pool_t::io_context | ( |  | ) |

inlinenoexcept

Get access to io_context object.

Definition at line 59 of file ioctx_on_thread_pool.hpp.

## Member Data Documentation

## m_ioctx

asio_ns::io_context& restinio::impl::external_io_context_for_thread_pool_t::m_ioctx

private

Definition at line 48 of file ioctx_on_thread_pool.hpp.

The documentation for this class was generated from the following file:

- restinio/impl/ioctx_on_thread_pool.hpp